
import sys
import unittest


tests=[]

#import test_xmldiff;tests.append(test_xmldiff)
import test_html_differ;tests.append(test_html_differ)



def test_suite():
    suite = unittest.TestSuite()
    for t in tests:
        suite.addTest(t.test_suite())
    return suite

def run_suite(suite, outf=None, errf=None):
    if outf is None:
        outf = sys.stdout
    runner = unittest.TextTestRunner(outf)
    result = runner.run(suite)

def main():
    return run_suite(test_suite())

if __name__ == "__main__":
    errs = main()
    sys.exit(errs and 1 or 0)
