# DHTML Editing Component Constants for JavaScript
# Copyright 1998-1999 Microsoft Corporation.  All rights reserved.
#

#
# Command IDs
#

#DECMD_DELETE =                    "'Delete'" #5004
#DECMD_DELETECELLS =               "''" #5005
#DECMD_DELETECOLS =                5006
#DECMD_DELETEROWS =                5007
#DECMD_FINDTEXT =                  "''"#5008
#DECMD_FONT =                      "'FontName'" #
#DECMD_GETBACKCOLOR =              5010
#DECMD_GETBLOCKFMT =               5011
#DECMD_GETBLOCKFMTNAMES =          5012
#DECMD_GETFONTNAME =               5013
#DECMD_GETFONTSIZE =               5014
#DECMD_GETFORECOLOR =              5015

DECMD_INSERTPARAGRAPH =           "'InsertParagraph'"
DECMD_INSERTIMAGE =               "'InsertImage'"
DECMD_INSERTHORIZONTALRULE =      "'InsertHorizontalRule'"
#DECMD_INSERTIMAGE =               "'InsertImage'"

DECMD_ORDERLIST =                 "'InsertOrderedList'" #5030
DECMD_UNORDERLIST =               "'InsertUnOrderedList'" #5051
DECMD_INDENT =                    "'Indent'" #5018
DECMD_OUTDENT =                   "'Outdent'" #5031

DECMD_BOLD =                      "'Bold'" #5000
DECMD_ITALIC =                    "'Italic'"  #5023
DECMD_UNDERLINE =                 "'Underline'" #5048

DECMD_JUSTIFYCENTER =             "'JustifyCenter'" #5024
DECMD_JUSTIFYLEFT =               "'JustifyLeft'" #5025
DECMD_JUSTIFYRIGHT =              "'JustifyRight'" #5026

#DECMD_INSERTCELL =                5019
#DECMD_INSERTCOL =                 5020
#DECMD_INSERTROW =                 5021
#DECMD_INSERTTABLE =               5022
#DECMD_JUSTIFYFULL =               "'JustifyFull'" #xxxx
#DECMD_LOCK_ELEMENT =              5027
#DECMD_MERGECELLS =                5029

DECMD_PASTE =                     "'Paste'" #5032
DECMD_COPY =                      "'Copy'" #5002
DECMD_CUT =                       "'Cut'" #5003

DECMD_SELECTALL =                 "'SelectAll'" #5030
DECMD_UNSELECT =                  "'UnSelect'" #5051


#DECMD_REDO =                      "'Redo'" #5033
#DECMD_UNDO =                      "'Undo'" #5049
#DECMD_PROPERTIES =                5052

#DECMD_SEND_BACKWARD =             5036
#DECMD_BRING_FORWARD =             5037
#DECMD_SEND_BELOW_TEXT =           5038
#DECMD_BRING_ABOVE_TEXT =          5039
#DECMD_SEND_TO_BACK =              5040
#DECMD_BRING_TO_FRONT =            5041
#DECMD_SETBACKCOLOR =              5042
DECMD_SETBLOCKFMT =               "'FormatBlock'"
DECMD_SETFONTNAME =               "'FontName'"
DECMD_SETFONTSIZE =               "'FontSize'"
#DECMD_SETFORECOLOR =              5046
#DECMD_SPLITCELL =                 5047

DECMD_SAVEAS =                    "'SaveAs'"
DECMD_REFRESH =                   "'Refresh'"
DECMD_OVERWRITE =                 "'OverWrite'"

DECMD_2DPOSITION =                "2D-Position"
DECMD_ABSOLUTEPOSITION =          "'AbsolutePosition'"
DECMD_LIVERESIZE =                "'LiveResize'"

DECMD_CREATELINK =                "'CreateLink'"
DECMD_UNLINK =                    "'UnLink'"
DECMD_CREATEBOOKMARK =            "'CreateBookmark'"
DECMD_UNBOOKMARK =                "'UnBookmark'"

DECMD_REMOVEFORMAT =              "'RemoveFormat'"
#DECMD_SELECTALL =                 5035


#
# Valid Format Tags
#




#
# Enums
#

# OLECMDEXECOPT
OLECMDEXECOPT_DODEFAULT =         0
OLECMDEXECOPT_PROMPTUSER =        1
OLECMDEXECOPT_DONTPROMPTUSER =    2

# DHTMLEDITCMDF
DECMDF_NOTSUPPORTED =             0
DECMDF_DISABLED =                 1
DECMDF_ENABLED =                  3
DECMDF_LATCHED =                  7
DECMDF_NINCHED =                  11

# DHTMLEDITAPPEARANCE
DEAPPEARANCE_FLAT =               0
DEAPPEARANCE_3D =                 1

# OLE_TRISTATE
OLE_TRISTATE_UNCHECKED =          0
OLE_TRISTATE_CHECKED =            1
OLE_TRISTATE_GRAY =               2




# UI CONSTANTS

UI_BUTTON = 'eeui_button'
UI_SELECT = 'eeui_select'
UI_SKEY = 'eeui_skey'
UI_MENU = 'eeui_menu'



#UPDATE APPEARANCE HANDLERS

UH_STANDARDBUTTONHANDLER = 'updateButtonAppearance'
UH_STANDARDSELECTHANDLER = 'updateSelectAppearance'
