"""XML object that is stored in a file"""

__version__='$Revision: 1.1 $'[11:-2]

from BaseFile import BaseFile



class XMLFile(BaseFile):
    """XML objects stored in external files."""

    content_type='text/XML'


    def __str__(self):
        if self.id:
            return '<XML id="%s">%s</SCRIPT>' % (self.id, self.index_html(self))
        else:
            return '<XML>%s</XML>' % (self.index_html(self),)

