

from Globals import DTMLFile
from App.Management import Navigation, Tabs
from App.ImageFile import ImageFile
from OFS.misc_ import p_
from OFS.Application import Application
import os
from App.version_txt import getZopeVersion


zopelogo_plus_ep_gif=ImageFile('www/zopelogo_plus_ep.gif', globals())
zopelogo_jpg=ImageFile('www/zopelogo.jpg', globals())

p_.zopelogo_plus_ep_gif = zopelogo_plus_ep_gif
p_.zopelogo_jpg = zopelogo_jpg


def debug_mode(self):
    debug_mode=0
    z1 = os.environ.get('Z_DEBUG_MODE','')
    z2 = os.environ.get('BOBO_DEBUG_MODE','')

    if z1.lower() in ('yes','y') or z1.isdigit():
        debug_mode = 1
    elif z2.lower() in ('yes','y') or z2.isdigit():
        debug_mode = 1
    return debug_mode

Navigation.debug_mode=debug_mode
Navigation.debug_mode__roles__=None


def getServerRoot(self):
    return self
Application.getServerRoot=getServerRoot
Application.getServerRoot__roles__=None
Application.server_title='Easy Publisher 1.8'
Application._properties=Application._properties+({'id':'server_title', 'label':'Server Title', 'type': 'string', 'mode':'w'},)


zope_version=getZopeVersion()


if zope_version[0:3] >= (2,7,2) and zope_version[0:3] < (2,8,0):

    manage_top_frame  =DTMLFile('dtml/Zope272/manage_top_frame', globals())
    Navigation.manage_top_frame = manage_top_frame

    file = DTMLFile('dtml/Zope272/manage_page_style.css', globals())
    setattr(Navigation, 'manage_page_style.css', file)
    setattr(Navigation, 'manage_page_style.css__roles__', None)

    manage_tabs  =DTMLFile('dtml/Zope272/manage_tabs', globals())
    Tabs.manage_tabs = manage_tabs

    Navigation.manage =DTMLFile('dtml/Zope272/manage', globals())
    Navigation.manage_menu=DTMLFile('dtml/Zope272/menu', globals())


elif zope_version[0:3]>=(2,7,0) and zope_version[0:3]<(2,7,2):
    #NEED A FIX

    manage_top_frame  =DTMLFile('dtml/Zope261/manage_top_frame', globals())
    Navigation.manage_top_frame = manage_top_frame

    file = DTMLFile('dtml/Zope261/manage_page_style.css', globals())
    setattr(Navigation, 'manage_page_style.css', file)
    setattr(Navigation, 'manage_page_style.css__roles__', None)

    manage_tabs  =DTMLFile('dtml/Zope261/manage_tabs', globals())
    Tabs.manage_tabs = manage_tabs

    Navigation.manage =DTMLFile('dtml/Zope261/manage', globals())

elif zope_version[0:3]>=(2,6,1) and zope_version[0:3]<(2,7,0):

    manage_top_frame  =DTMLFile('dtml/Zope261/manage_top_frame', globals())
    Navigation.manage_top_frame = manage_top_frame

    file = DTMLFile('dtml/Zope261/manage_page_style.css', globals())
    setattr(Navigation, 'manage_page_style.css', file)
    setattr(Navigation, 'manage_page_style.css__roles__', None)

    manage_tabs  =DTMLFile('dtml/Zope261/manage_tabs', globals())
    Tabs.manage_tabs = manage_tabs

    Navigation.manage =DTMLFile('dtml/Zope261/manage', globals())


elif zope_version[0:3]>=(2,5,1) and zope_version[0:3]<(2,6,1):

    manage_top_frame  =DTMLFile('dtml/Zope251/manage_top_frame', globals())
    Navigation.manage_top_frame = manage_top_frame

    file = DTMLFile('dtml/Zope251/manage_page_style.css', globals())
    setattr(Navigation, 'manage_page_style.css', file)
    setattr(Navigation, 'manage_page_style.css__roles__', None)

    manage_tabs  =DTMLFile('dtml/Zope251/manage_tabs', globals())
    Tabs.manage_tabs = manage_tabs

    Navigation.manage =DTMLFile('dtml/Zope251/manage', globals())

else:

    manage_top_frame  =DTMLFile('dtml/Zope261/manage_top_frame', globals())
    Navigation.manage_top_frame = manage_top_frame

    file = DTMLFile('dtml/Zope261/manage_page_style.css', globals())
    setattr(Navigation, 'manage_page_style.css', file)
    setattr(Navigation, 'manage_page_style.css__roles__', None)

    manage_tabs  =DTMLFile('dtml/Zope261/manage_tabs', globals())
    Tabs.manage_tabs = manage_tabs

    Navigation.manage =DTMLFile('dtml/Zope261/manage', globals())