# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyCore/ObjectManager/ObjectManagerIF.py,v 1.1 2004/06/28 10:04:11 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__ = """EasyCore.ObjectManager.ObjectManagerIF"""
__version__='$Revision: 1.1 $'[11:-2]

from OFS.ObjectManager import ObjectManager

from App.version_txt import getZopeVersion
zope_version=getZopeVersion()


class ObjectManagerIF(IFAwareObjectManager):

    if zope_version[0:3]>=(2,5,1) and zope_version[0:3]<(2,6,1):
        pass #manage_main = DTMLFile('dtml/251/manage_main', globals())
    elif zope_version[0:3]>=(2,6,1) and zope_version[0:3]<(2,6,2):
        pass #manage_main = DTMLFile('dtml/261/manage_main', globals())
    elif zope_version[0:3]>=(2,6,2) and zope_version[0:3]<(2,7,0):
        pass #manage_main = DTMLFile('dtml/262/manage_main', globals())
    elif zope_version[0:3]>=(2,7,0) and zope_version[0:3]<(2,8,0):
        pass #manage_main = DTMLFile('dtml/270/manage_main', globals())
    else:
        pass #manage_main = DTMLFile('dtml/270/manage_main', globals())
