# coding: iso-8859-1
# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyCore/Utils/Javascript.py,v 1.3 2004/08/31 13:10:23 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__="""EasyTemplates Editable Regions

$Colliberty: EasyTemplates.py,v 1.8 2001/11/18 12:00:00 johanc Exp $"""
__version__='$Revision: 1.3 $'[11:-2]


from string import replace, maketrans



def escape_javascript_text(text):
    text = str(text)
    text=replace(text, '\r\n', '\\n')
    text=replace(text, '\n', '\\n')
    text=replace(text, '\r', '\\n')
    return text

def escape_javascript_id(id):
    id = str(id)
    bad_chars =  ' +?&,.;()[]{}/ݟ'
    good_chars = '______________AAAAAAaaaaaaCcEEEEEeeeeeIIIIiiiiNnOOOOOOooooooSssUUUUuuuuYYyyZz'
    TRANSMAP = maketrans(bad_chars, good_chars)
    return str(id).translate(TRANSMAP)
