# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/EasyPresentationHelpers/DTMLLink.py,v 1.1 2004/06/28 10:05:47 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

#

__doc__='''DTMLLink
$Id: DTMLLink.py,v 1.1 2004/06/28 10:05:47 johanc Exp $'''
__version__='$Revision: 1.1 $'[11:-2]

import string
from DocumentTemplate.DT_Util   import *
from DocumentTemplate.DT_String import String
from DocumentTemplate.DT_Util import render_blocks

from Products.EasyCore.TagUtils import SingleTagBase, HTML, STRING_PARAM

from Products.EasyCore import MLOG_TAB


class DTMLLink(SingleTagBase):
    """\
    DTMLLink Tag
    """

    name='link'
    expr=None


    attributes={
      'css_class':   {'id':'class','value':'', 'required':0,'type':STRING_PARAM},
      'onmouseover': {'value':'', 'required':0,'type':STRING_PARAM},
      'url':         {'value':'', 'required':0,'type':STRING_PARAM},
      'sname':       {'value':'togglekey', 'required':0,'type':STRING_PARAM},
      'sdefault':    {'value':'id', 'required':0,'type':STRING_PARAM},
      'adefault':    {'value':'id', 'required':0,'type':STRING_PARAM},
      'stitle':      {'value':'', 'required':0,'type':STRING_PARAM},
      'atitle':      {'value':'', 'required':0,'type':STRING_PARAM},
      'usehtml':     {'value':'', 'required':0,'type':STRING_PARAM},
    }

    _do_render=HTML("""\

                    """, globals())
    def do_render(self, md, object):

        url = getattr(md, 'url', self.url)
        stitle = getattr(md, 'stitle', self.stitle)
        css_class=self.css_class
        if css_class: css_class=' class="%s"'%css_class
        return self._do_render(object, md)
        return '<a href="%s"%s>%s</a>' % (url, css_class, stitle)


String.commands[DTMLLink.name] = DTMLLink

