# $Header: /usr/custom/cvs/public/CollibertyEasyPublisher/Products/ZMIPatch/LDAPUserFolder/__init__.py,v 1.2 2004/07/01 10:46:36 johanc Exp $
#
# Copyright (C) 2001-2003, Johan Carlsson, Lennart Regebro, Colliberty.
# This software is licensed under the Easy Publisher Shared License 2.0 and/or
# the Easy Publisher Enterprise License 2.0 and/or the Easy Publisher Developers License 2.0
# and/or the Easy Publisher Personal Developers License 2.0.
# The licensee may not give, sell, sub-license, rent, lease, lend or in any other
# way distribute any portion of the Software or Documentation to anyone.
# For details about the licenses contact Colliberty at info@colliberty.com
#

__doc__ = """LDAPUserFolder"""
__version__='$Revision: 1.2 $'[11:-2]


try:

    import Globals
    from Products.LDAPUserFolder.LDAPUser import LDAPUser
    from Products.LDAPUserFolder.LDAPUserFolder import LDAPUserFolder
    from Products.EasyCore import EasyCorePermissions
    from AccessControl import ClassSecurityInfo


    security = ClassSecurityInfo()

    security.declareProtected(EasyCorePermissions.ManageUsers, 'getEmail')
    def getEmail(self):
        ''' Users email address '''
        return self.getProperty('mail')


    security.declareProtected(EasyCorePermissions.ManageUsers, 'getUserFullName')
    def getUserFullName(self):
        ''' Users full name '''
        return self.getProperty('cn')

    LDAPUser.getEmail = getEmail
    LDAPUser.getUserFullName = getUserFullName
    LDAPUserFolder.isEasyUserFolder = 1
    LDAPUser.security=security
    Globals.InitializeClass(LDAPUser)

    from zLOG import LOG, INFO, BLATHER
#    LOG('ZMIPatch', BLATHER, 'ZMI Patch:LDAPUserFolder.LDAPUser', "ZMI Patch: LDAPUserFolder:LDAPUser: "
                                                                  "Fixing missing functions for EP, 1.0\n"
                                                                  "\t\tDirk Datzert, 2002-05-01\n")
except: pass